#!/bin/sh
# $FreeBSD: ports/devel/linux-js/files/jscal.sh.in,v 1.1 2006/02/05 03:12:50 jylefort Exp $

# PROVIDE: jscal
# KEYWORD: shutdown

jscal_enable=${jscal_enable-"NO"}
jscal_device="/dev/input/js0"
jscal_state="${jscal_state:-/var/db/jscal-state}"

. /etc/rc.subr

name="jscal"
rcvar=`set_rcvar`
command="/usr/local/bin/jscal"
start_cmd="jscal_start"
stop_cmd="jscal_stop"

jscal_start()
{
	[ -f "$jscal_state" ] && . "$jscal_state" 2>/dev/null
}

jscal_stop()
{
	cal=`"$command" -p "$jscal_device" 2>/dev/null` && \
	echo "$cal" | sed -e "s|^jscal|$command|" > $jscal_state
}

load_rc_config $name
run_rc_command "$1"
